package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 返利金奖池状态
 * @className: BsRebateRewardStatusEnum
 * @author: HuRui
 * @date: 2023/10/10
 **/
public enum RebateRewardRosterStatusEnum {

    status0(0, "不可用"),
    status1(1, "未发放"),
    status2(2, "已发放"),
    ;

    private Integer number;

    private String name;

    RebateRewardRosterStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static RebateRewardRosterStatusEnum getDataByNumber(Integer number) {
        for (RebateRewardRosterStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
